geos::algorithm::Length Class Reference

Functions for computing length. More...

`#include <Length.h>`

## Static Public Member Functions

static double | ofLine (const geom::CoordinateSequence *ring)
static double | ofLine (const std::vector< geom::CoordinateXY > &ring)

## Detailed Description

Functions for computing length.

Author
  Martin Davis

## Member Function Documentation

## ofLine() [1/2]

double geos::algorithm::Length::ofLine | ( | const geom::CoordinateSequence * | ring | ) |

static

Computes the length of a linestring specified by a sequence of points.

Parameters

  ring | the points specifying the linestring

Returns
  the length of the linestring

## ofLine() [2/2]

double geos::algorithm::Length::ofLine | ( | const std::vector< geom::CoordinateXY > & | ring | ) |

static

Computes the length of a linestring specified by a sequence of points.

Parameters

  ring | the points specifying the linestring

Returns
  the length of the linestring

The documentation for this class was generated from the following file:

- Length.h